using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

using Foo.GUILib;
using Foo.Platform.Satellite;

namespace Foo.ClientServices.GUIWPForms
{
    /// <summary>
    /// Interaction logic for SettingsNAboutUs.xaml
    /// </summary>
    public partial class SettingsNAboutUs : Window
    {
        private bool m_bPerformanceCache = false;

        public SettingsNAboutUs(bool bPerformanceCache)
        {
            InitializeComponent();

            // * For Performance Caching *
            if (WPFHiddenWindow.HiddenWindowConstructor(this, bPerformanceCache))
            {
                m_bPerformanceCache = true;
            }
            else
            {
                // Set Window Position Here
                WindowStartupLocation = WindowStartupLocation.CenterScreen;
            }
        }

        #region Internationalization

        private void LoadAllTexts_Internationalization()
        {
            // Load Tab Headers                
            tabSettings.Header = GUIResx.GetString("TAB_SETTINGSNABOUTUS_SETTINGS");
            tabHelp.Header = GUIResx.GetString("TAB_SETTINGSNABOUTUS_HELP");
            tabAboutUs.Header = GUIResx.GetString("TAB_SETTINGSNABOUTUS_ABOUTUS");

            // Load Group Labels
            groupBoxWorkspaceSelector.Header = GUIResx.GetString("GROUPBOX_SETTINGABOUTUS_WORKSPACESELECTOR");
            groupBoxArtifactWall.Header = GUIResx.GetString("GROUPBOX_SETTINGABOUTUS_ARTIFACTWALL");

            // Load Labels




        }

        #endregion


        #region Window Events

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            // * For Performance Caching *
            if (WPFHiddenWindow.HiddenWindowOnLoad(this, m_bPerformanceCache))
            {

            }
            else 
            {
                // Load Texts
                LoadAllTexts_Internationalization();
            }
        }

        private void Window_Closing(object sender, System.ComponentModel.CancelEventArgs e)
        {
            // * For Performance Caching *
            if (WPFHiddenWindow.HiddenWindowClosing(this, m_bPerformanceCache))
            {

            }
            else
            {

            }
        }

        #endregion

        private void btnClose_Click(object sender, RoutedEventArgs e)
        {
            this.Close();
        }     
    }
}
